{
    name: "Magnifying Glass",
    spritenum: -610,
    fling: {
    	basePower: 30,
    },
    onBasePowerPriority: 23,
    onBasePower(basePower, attacker, defender, move) {
      if (move.flags['light']) {
      	this.debug('Magnifying Glass boost');
      	return this.chainModify([4506, 4096]);
      }
    },
    onModifyMovePriority: 1,
    onModifyMove(move) {
      if (move.flags['light']) {
        move.tracksTarget = move.target !== "scripted";
      }
    },
    num: -704,
    gen: 9,
}